# Fetching a list of Organizations

This endpoint returns structured Organization objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organizations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /organizations
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `for_current_user` (boolean)
    Filter for organizations the current user belongs to. The parameter value is ignored (i.e. regardless of the value you supply, including this filter will always filter by organizations the current user belongs to).

  - `matching` (string)
    Where organization name is like specified parameter.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: alphabetical:asc, alphabetical:desc, created_at:asc, and created_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `type` (string)
    Where the organization is of a specified type.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `organizations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


